#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - vala installation
#
# Creation   :  2018-10-24 holbru
# Last update:  $Id: install.sh 101680 2023-05-01 14:47:10Z hbfl $
#
# Copyright (c) 2018-2023 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=vala

# ---------------------------------------------------------------------------
# update-alternatives
# ---------------------------------------------------------------------------
ver=0.56
veri=56

/usr/sbin/update-alternatives \
  --install /usr/bin/vala                   vala                  /usr/bin/vala-${ver}  ${veri}\
  --slave   /usr/bin/valadoc                valadoc               /usr/bin/valadoc-${ver} \
  --slave   /usr/bin/valac                  valac                 /usr/bin/valac-${ver} \
  --slave   /usr/bin/vala-gen-introspect    vala-gen-introspect   /usr/bin/vala-gen-introspect-${ver} \
  --slave   /usr/bin/vapigen                vapigen               /usr/bin/vapigen-${ver} \
  --slave   /usr/lib/pkgconfig/vapigen.pc   vapigen.pc            /usr/lib/pkgconfig/vapigen-${ver}.pc

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
